package com.greatchn.collection.controller;

import com.greatchn.collection.framework.annotation.AuthIgnore;
import com.greatchn.collection.framework.vo.ReturnMsgVO;
import com.greatchn.collection.service.CollectService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/collect")
@Slf4j
public class CollectController {
    @Autowired
    CollectService collectService;

    @AuthIgnore
    @RequestMapping("/upload")
    @ResponseBody
    public ReturnMsgVO collect() throws Exception{
//        collectService.collect("YKJ", 3, "13");
        collectService.startCollectJob();
        return ReturnMsgVO.ok().setMsg("收集成功");
    }
}
