package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@TableName(value = "file")
public class FilePO {
    /*** id*/
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /*** 相对路径*/
    @TableField("path")
    private String path;

    /*** 文件名*/
    @TableField("name")
    private String name;

    /*** 后缀*/
    @TableField("suffix")
    private String suffix;

    /*** 大小|字节B*/
    @TableField("size")
    private Integer size;

    /*** 创建时间*/
    @TableField("created_at")
    private Long createdAt;

    /*** 修改时间*/
    @TableField("updated_at")
    private Long updatedAt;

    /*** 已上传分片*/
    @TableField("shard_index")
    private Integer shardIndex;

    /*** 分片大小|B*/
    @TableField("shard_size")
    private Integer shardSize;

    /*** 分片总数*/
    @TableField("shard_total")
    private Integer shardTotal;

    /*** 文件标识*/
    @TableField("file_key")
    private String fileKey;

    /**
     * 有效标志
     */
    @TableField("state")
    private String state;
}
