package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2022-08-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("gx_file_att")
public class GxFileAttPO extends Model<GxFileAttPO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 文件电子文件号
     */
    @TableField("file_dzwjh")
    private String fileDzwjh;

    /**
     * 文件类型
     */
    @TableField("file_type_id")
    private Integer fileTypeId;

    /**
     * 附件电子文件号
     */
    @TableField("att_dzwjh")
    private String attDzwjh;

    /**
     * 附件类型
     */
    @TableField("att_type_id")
    private Integer attTypeId;

    @TableField("state")
    private String state;


    public static final String ID = "id";

    public static final String FILE_DZWJH = "file_dzwjh";

    public static final String FILE_TYPE_ID = "file_type_id";

    public static final String ATT_DZWJH = "att_dzwjh";

    public static final String ATT_TYPE_ID = "att_type_id";

    @Override
    public Serializable pkVal() {
        return this.id;
    }

}
