package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 文件收集重复数据判断标志
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2023-01-04
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("pz_file_sj")
public class PzFileSjPO extends Model<PzFileSjPO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("file_type_id")
    private Integer fileTypeId;

    /**
     * 重复数据判断标准
     */
    @TableField("md_id")
    private String mdId;

    @TableField(value = "insert_date", fill = FieldFill.INSERT)
    private LocalDateTime insertDate;

    @TableField("state")
    private String state;


    public static final String ID = "id";

    public static final String FILE_TYPE_ID = "file_type_id";

    public static final String MD_ID = "md_id";

    public static final String INSERT_DATE = "insert_date";

    public static final String STATE = "state";

    @Override
    public Serializable pkVal() {
        return this.id;
    }

}
