package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.greatchn.collection.entity.SjLogPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 收集主流程记录总表 Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2022-08-02
 */
public interface SjLogMapper extends BaseMapper<SjLogPO> {

    /**
     * 收集进度日志 总数
     *
     * @param fileList
     * @param selectSql
     * @return
     */
    long count(@Param("fileTypeIdList") List<Integer> fileList, @Param("selectSql") String selectSql);

    /**
     * 收集进度列表查询接口

    List<ProgressRespVO> list(@Param("fileTypeIdList") List<Integer> fileList, @Param("selectSql") String selectSql,
                              @Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize);
     */
    Integer getNumber(@Param("prefixName") String prefixName);

    /**
     * 查询当前系统id接收文件总数量
     *
     * @param xtId 系统id
     * @return
     * @author zhangkun
     * @date 2023/1/11 16:41
     */
    Integer getDocumentCount(@Param("id") String xtId, @Param("userId") String userId, @Param("startTime") String startTime, @Param("endTime") String endTime);
}
