package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.greatchn.collection.entity.SjLogSub1PO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 收集记录附表1——单件收集记录 Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2022-08-02
 */
public interface SjLogSub1Mapper extends BaseMapper<SjLogSub1PO> {

    /**
     * 修改信息
     *
     * @param sjLogId
     */
    void updateInfo(@Param("sjLogId") Integer sjLogId);

    long count(@Param("sjLogId") Integer sjLogId,  @Param("fileTypeId") Integer fileTypeId,
               @Param("selectSql") String selectSql);

    long countSjState(@Param("sjLogId") Integer sjLogId,  @Param("selectSql") String selectSql);

    List<Map> getSub1(@Param("sjLogId") Integer sjLogId, @Param("pageNum") Integer pageNum,
                      @Param("pageSize") Integer pageSize, @Param("fileTypeId") Integer fileTypeId,
                      @Param("selectSql") String selectSql);

    List<Map> getSub2(@Param("sjSub1Id") Integer sjSub1Id);

}
