package com.greatchn.collection;

import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@ComponentScan(
        basePackages = {"com.greatchn"}
)

@EnableScheduling
@MapperScan({"com.greatchn.collection.entity"})
@SpringBootApplication
public class CollectionApplication {
    private static final Logger log = LoggerFactory.getLogger(CollectionApplication.class);

    public CollectionApplication() {
    }

    public static void main(String[] args) {
        SpringApplication.run(CollectionApplication.class, args);
    }

}
