package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 文件存储信息表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2022-08-30
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("cc_file_save_info")
public class CcFileSaveInfoPO extends Model<CcFileSaveInfoPO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 地址
     */
    @TableField("file_path")
    private String filePath;

    /**
     * 文件类型
     */
    @TableField("file_type")
    private String fileType;

    /**
     * 文件大小（KB）
     */
    @TableField("file_size")
    private Double fileSize;

    @TableField("state")
    private String state;


    public static final String ID = "id";

    public static final String FILE_PATH = "file_path";

    public static final String FILE_TYPE = "file_type";

    public static final String FILE_SIZE = "file_size";

    @Override
    public Serializable pkVal() {
        return this.id;
    }

}
