package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 全宗信息（存档机构信息）-字段未完全补充，预留关联关系 Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2022-08-11
 */
public interface ErmsOrganizationMapper extends BaseMapper<ErmsOrganizationPO> {

    ErmsOrganizationPO get(@Param("cpCode") String cpCode, @Param("xtId") String xtId);

    List<Map> getList(@Param("organizationId") Integer organizationId, @Param("qyId") String qyId);

    List<Map> getXtList(@Param("organizationId") Integer organizationId, @Param("qyId") String qyId);

    /**
     * 根据主键id查询state=Y的ErmsQuanzong
     *
     * @param quanZongId 主键id
     * @return
     */
    ErmsOrganizationPO findEnableById(@Param("id") String quanZongId);
}
