package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2022-09-13
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("erms_qz_cert")
public class ErmsQzCertPO extends Model<ErmsQzCertPO> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 组织机构no
     */
    @TableField("organization_no")
    private String organizationNo;

    /**
     * 系统id
     */
    @TableField("xt_id")
    private String xtId;

    /**
     * 证书文件
     */
    @TableField("cert_file")
    private String certFile;

    /**
     * 秘钥
     */
    @TableField("password")
    private String password;

    /**
     * 签章图片
     */
    @TableField("img")
    private String img;

    /**
     * 插入时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(value = "insert_date", fill = FieldFill.INSERT)
    private LocalDateTime insertDate;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    private LocalDateTime updateDate;

    /**
     * 插入人
     */
    @TableField(value = "insert_user", fill = FieldFill.INSERT)
    private Integer insertUser;

    /**
     * 更新人
     */
    @TableField(value = "update_user", fill = FieldFill.UPDATE)
    private Integer updateUser;

    /**
     * 有效标志
     */
    @TableField("state")
    private String state;

    public static final String ID = "id";

    public static final String ORGANIZATION_NO = "organization_no";

    public static final String XT_ID = "xt_id";

    public static final String CERT_FILE = "cert_file";

    public static final String PASSWORD = "password";

    public static final String IMG = "img";

    public static final String INSERT_DATE = "insert_date";

    public static final String UPDATE_DATE = "update_date";

    public static final String INSERT_USER = "insert_user";

    public static final String UPDATE_USER = "update_user";

    public static final String STATE = "state";

    @Override
    public Serializable pkVal() {
        return this.id;
    }

}
