package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.greatchn.collection.entity.GxFileAttPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2022-08-15
 */
public interface GxFileAttMapper extends BaseMapper<GxFileAttPO> {
    /**
     * 获取附件文件类型列表
     *
     * @param djwjh
     * @return
     * @author zhaolechang
     * @creed: Talk is cheap,show me the code
     * @date 2022/8/17 16:01
     */
    List<Integer> gerTypeList(@Param("dzwjh") String djwjh);

    /**
     * 获取文件数据
     *
     * @param djwjh
     * @param fileType
     * @return
     * @author zhaolechang
     * @creed: Talk is cheap,show me the code
     * @date 2022/8/18 9:51
     */
    List<Map<String, Object>> getFileInfo(@Param("dzwjh") String djwjh, @Param("fileType") Integer fileType);

    /**
     * 通过M007拿数据
     * @param M007
     * @param fileType
     * @return
     */
    List<Map<String, Object>> getFileInfoBy007(@Param("dzwjh") String M007, @Param("fileType") Integer fileType);

    /**
     * 获取指定册的文件和附件信息
     *
     * @param arcDh
     * @return
     * @author zhaoding 20221009
     */
    List<GxFileAttPO> getArcAtt(@Param("arcDh") String arcDh);
}
