package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 文件附件关系表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2022-08-08
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("sj_file_att_rel")
public class SjFileAttRelPO extends Model<SjFileAttRelPO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("xt_id")
    private String xtId;

    @TableField("file_id")
    private Integer fileId;

    @TableField("att_id")
    private Integer attId;

    /**
     * 插入时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("insert_date")
    private LocalDateTime insertDate;

    /**
     * 有效标志
     */
    @TableField("state")
    private String state;


    public static final String ID = "id";

    public static final String XT_ID = "xt_id";

    public static final String FILE_ID = "file_id";

    public static final String ATT_ID = "att_id";

    public static final String INSERT_DATE = "insert_date";

    public static final String STATE = "state";

    @Override
    public Serializable pkVal() {
        return this.id;
    }

}
