package com.greatchn.collection.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 收集主流程记录总表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2022-08-02
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("sj_log_sub1_info")
public class SjLogSub1InfoPO extends Model<SjLogSub1InfoPO> {

    private static final long serialVersionUID = 1L;

    /**
     * 无意义主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 收集记录id	生成规则	收集区间+启动时间+收集id		例：收集区间为年，触发时间一月一日（0101），收集id为1	当前为2022年		生成id为	202201010001
     */
    @TableField("sj_log_sub1_id")
    private Integer sjLogSub1Id;

    @TableField("info_key")
    private String infoKey;

    @TableField("info_value")
    private String infoValue;

    @TableField("state")
    private String state;

    public static final String ID = "id";

    public static final String SJ_LOG_SUB1_ID = "sj_log_sub1_id";

    public static final String INFO_KEY = "info_key";

    public static final String INFO_VALUE = "info_value";

    public static final String STATE = "state";

    @Override
    public Serializable pkVal() {
        return this.id;
    }

}
