package com.greatchn.collection.framework.constant;

import lombok.Getter;
import lombok.experimental.Accessors;

@Getter
@Accessors(fluent = true)
public enum SignatureStateEnum {
    VALID("00", "有效"),
    INVALID("99", "无效"),
    NO_NAME("01","无签名");

    private String code;
    private String define;

    private SignatureStateEnum() {}
    private SignatureStateEnum(String code, String define) {
        this.code = code;
        this.define = define;
    }
}
